#ifndef _delo_h_
#define _delo_h_
#include <iostream>
#include <cstring>
using namespace std;
class Delo {
	static int Id_Generator;
	int id;
	char *autor, *naslov, vrsta;
	// vraca tacan broj belina za ispis	
	static char* razmaci(const char* rec);
protected:
	void brisi();
	virtual void kopiraj(const Delo& d);
	virtual void pisi(ostream& it);
public:
	Delo(const char* a, const char* n, const char& v);
	Delo(const Delo& d) { kopiraj(d); }
	virtual ~Delo() { brisi(); }
	int getId() const { return id; }
	char getVrsta() const {	return vrsta; };
	char* getAutor() const { return autor; }
	char* getNaslov() const { return naslov; }
	virtual double getDebljina() const = 0;
	virtual Delo* kopija() const = 0;
	friend ostream& operator << (ostream& it, Delo& d);
};
#endif
